function GetBankBalance() {
	local me = AICompany.ResolveCompanyID(AICompany.COMPANY_SELF);
	return AICompany.GetBankBalance(me);
}

function MayBuyTrain() {
	return (GetBankBalance() > 50000);
}
function MayExtendRailway() {
	return (GetBankBalance() > 30000);
}
function MayCreateNewRailway() {
	return (GetBankBalance() > 180000);
}
function MayCreateNewBusline() {
	return (GetBankBalance() > 30000);
}

function RailwAI::DetermineLoan() {
	local bankBalance = GetBankBalance()
	local maxLoan = AICompany.GetMaxLoanAmount()
	if (bankBalance > maxLoan*2) {
		//Pay back loans
		AICompany.SetMinimumLoanAmount(0)
	} else {
		AICompany.SetLoanAmount(maxLoan)
	}
}

function RailwAI::MonthlyPayBack() {
	local bankBalance = GetBankBalance()
	if (bankBalance < 0) {
		AICompany.SetLoanAmount(AICompany.GetLoanAmount() + AICompany.GetLoanInterval())
	} else {
		AICompany.SetLoanAmount(AICompany.GetLoanAmount() - AICompany.GetLoanInterval())
	}
}